%define api_version	0.9
%define lib_major	9
%define lib_name	%mklibname wpd %{api_version} %{lib_major}
%define develname	%mklibname -d wpd 

Summary:	Library for reading/writing WordPerfect files
Name:		libwpd
Version:	0.9.9
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
URL:		http://libwpd.sourceforge.net/
Source:		http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
BuildRequires:	glib2-devel
BuildRequires:	libgsl-devel
BuildRequires:	libgsf-devel
BuildRequires:	doxygen

%description
Libwpd is a library for reading/writing WordPerfect files.
It is designed to be used by another program (e.g.: a word
processor) as an in-process component.
It supports fileimport of all versions of WordPerfect.

%package -n	%{name}-tools
Summary:	Tools to transform Wordperfect files to html or text
Group:		Office/Word processor
Obsoletes:	%{name}0.8-tools

%description -n %{name}-tools
Tools to transform Wordperfect files to html or text.
It supports fileimport of all versions of WordPerfect.

%package -n	%{lib_name}
Summary:	Library for reading/writing WordPerfect files
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{lib_name}
Libwpd is a library for reading/writing WordPerfect files.
It is designed to be used by another program (e.g.: a word
processor) as an in-process component.
It supports fileimport of all versions of WordPerfect.

%package -n	%{develname}
Summary:	Headers and development files for libwpd
Group:		Development/Other
Requires:	%{lib_name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-%{api_version}-devel = %{version}-%{release}
Obsoletes:	libwpd0-devel
Obsoletes:	%{_lib}wpd0.8-devel

%description -n	%{develname}
Headers and development files for libwpd.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %buildroot%{_libdir}/*.la

%files -n %{name}-tools
%{_bindir}/*

%files -n %{lib_name}
%{_libdir}/libwpd-%{api_version}*.so.*
%{_libdir}/libwpd-stream-%{api_version}*.so.*
%doc README TODO

%files -n %{develname}
%{_libdir}/pkgconfig/libwpd-%{api_version}.pc
%{_libdir}/pkgconfig/libwpd-stream-%{api_version}.pc
%{_libdir}/libwpd-%{api_version}*.so
%{_libdir}/libwpd-stream-%{api_version}*.so
%{_includedir}/libwpd-%{api_version}
%doc %_docdir/libwpd/*.png
%doc %_docdir/libwpd/html/*.html
%doc %_docdir/libwpd/html/*.png
%doc %_docdir/libwpd/html/*.css
%doc %_docdir/libwpd/libwpd.dia


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.9.9-2.mga4
+ Revision: 532366
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 tv <tv> 0.9.9-1.mga4
+ Revision: 468187
- new release

* Sat Jun 08 2013 fwang <fwang> 0.9.8-1.mga4
+ Revision: 440449
- update doc
- new version 0.9.8

* Sat Jan 12 2013 umeabot <umeabot> 0.9.6-3.mga3
+ Revision: 358475
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 ovitters <ovitters> 0.9.6-2.mga3
+ Revision: 323463
- clean spec
- fix rpm group

* Sat Sep 29 2012 fwang <fwang> 0.9.6-1.mga3
+ Revision: 299980
- new version 0.9.6

* Tue Dec 06 2011 fwang <fwang> 0.9.4-1.mga2
+ Revision: 177292
- disable static
- new version 0.9.4

* Mon Jul 18 2011 fwang <fwang> 0.9.2-1.mga2
+ Revision: 125624
- new version 0.9.2

* Sun Jan 23 2011 dmorgan <dmorgan> 0.9.0-1.mga1
+ Revision: 33509
- Remove mdv macros
- Update to version 0.9 ( is needed by libreoffice )
- imported package libwpd


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.14-4mdv2011.0
+ Revision: 602615
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.14-3mdv2010.1
+ Revision: 520942
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.8.14-2mdv2010.0
+ Revision: 425877
- rebuild

* Sun Aug 17 2008 Emmanuel Andry <eandry@mandriva.org> 0.8.14-1mdv2009.0
+ Revision: 272945
- New version

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8.13-5mdv2009.0
+ Revision: 229752
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 25 2008 Emmanuel Andry <eandry@mandriva.org> 0.8.13-3mdv2008.1
+ Revision: 189873
- Fix lib group

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.8.13-2mdv2008.1
+ Revision: 170963
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Sun Jan 06 2008 Funda Wang <fwang@mandriva.org> 0.8.13-1mdv2008.1
+ Revision: 145938
- New version 0.8.13

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 05 2007 Funda Wang <fwang@mandriva.org> 0.8.12-1mdv2008.1
+ Revision: 105986
- New version 0.8.12

* Wed Aug 29 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.8.11-1mdv2008.0
+ Revision: 74873
- New upstream: 0.8.11


* Tue Apr 03 2007 Jérôme Soyer <saispo@mandriva.org> 0.8.9-1mdv2007.1
+ Revision: 150223
- New release

* Mon Mar 19 2007 Giuseppe Ghibò <ghibo@mandriva.com> 0.8.8-2mdv2007.1
+ Revision: 146411
- Added Patch0 (stability) to fix security problem CVE-2007-0002.
- Added Patch1 (typedetect) to fix problems with type detecting (http://qa.openoffice.org/issues/show_bug.cgi?id=74134).

* Sun Feb 18 2007 Jérôme Soyer <saispo@mandriva.org> 0.8.8-1mdv2007.1
+ Revision: 122327
- Add BR
- New release 0.8.8
- Import libwpd

* Sun Jul 23 2006 Emmanuel Andry <eandry@mandriva.org> 0.8.6-1mdv2007.0
- 0.8.6

* Mon Jun 12 2006 Charles A Edwards <eslrahc@mandriva.org> 0.8.5-1mdv2007.0
- 0.8.5
- mkrel

* Sat Mar 11 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.3-4mdk
- Rebuild with new libgsf

* Wed Dec 28 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.3-3mdk
- Rebuild for x86_64

* Wed Oct 12 2005 Götz Waschk <waschk@mandriva.org> 0.8.3-2mdk
- rebuild for new libgsf

* Fri Oct 07 2005 Marcel Pol <mpol@mandriva.org> 0.8.3-1mdk
- 0.8.3
- fix filelist

* Wed May 04 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.8.1-2mdk
- add BuildRequires: libgsf-1-devel doxygen

* Wed Apr 27 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.1-1mdk
- 0.8.1

* Mon Feb 21 2005 Charles A Edwards <eslrahc@mandrake.org> 0.8.0-1mdk
- 0.8.0
- update api and major
- use api marco in file list

* Fri Dec 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.7.2-1mdk
- 0.7.2

* Sun Jun 06 2004 Marcel Pol <mpol@mandrake.org> 0.7.1-3mdk
- rebuild

* Wed Jun 02 2004 Marcel Pol <mpol@mandrake.org> 0.7.1-2mdk
- run libtoolize again

